# Generated by Django 3.2.11 on 2022-01-30 09:54

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import uuid


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Post',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('uuid', models.UUIDField(default=uuid.uuid4, editable=False, help_text='Instance Unique ID', unique=True, verbose_name='uuid')),
                ('create_at', models.DateTimeField(auto_now_add=True, help_text='Creation date and time', verbose_name='create at')),
                ('subject', models.CharField(blank=True, max_length=100, null=True, verbose_name='post subject')),
                ('text', models.TextField(blank=True, null=True, verbose_name='post text')),
                ('user', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='posts', to=settings.AUTH_USER_MODEL, verbose_name='Related User')),
            ],
            options={
                'verbose_name': 'Post',
                'verbose_name_plural': 'Posts',
                'managed': True,
            },
        ),
        migrations.CreateModel(
            name='Vote',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('uuid', models.UUIDField(default=uuid.uuid4, editable=False, help_text='Instance Unique ID', unique=True, verbose_name='uuid')),
                ('create_at', models.DateTimeField(auto_now_add=True, help_text='Creation date and time', verbose_name='create at')),
                ('point', models.IntegerField(blank=True, null=True, verbose_name='point')),
                ('post', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='votes', to='blog.post', verbose_name='Related Post')),
                ('user', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='votes', to=settings.AUTH_USER_MODEL, verbose_name='Related User')),
            ],
            options={
                'verbose_name': 'Vote',
                'verbose_name_plural': 'Votes',
                'managed': True,
            },
        ),
    ]
